:root {
    --brown-dark: #2F281E;
    --orange: #f90;
    --coral: #F03E3D;
    --coral-secondary: #D80B0A;
    --brown: #544837;
}


*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    vertical-align: top;
}

ul,
ol {
    list-style: none;
}

a,
button {
    transition: all .2s ease;
}


body {
    font-family: "Montserrat", sans-serif;
    font-size: 1rem;
    line-height: 1.625rem;
    color: var(--brown)
}


.page-wrapper {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    min-height: 100vh;
}

footer {
    height: 80px;
}

main {
    flex-grow: 1;
}



.container {
    width: min(90%, 1230px);
    margin: 0 auto;

}

header {
    height: 80px;
    margin-bottom: 90px;

    .container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 100%;
    }

    .btn-wrap {
        display: flex;
        gap: 32px;

        button.btn {
            min-width: 110px;
        }
    }
}

.main-menu ul {
    display: flex;
    align-items: center;
    gap: 40px;

    a {
        text-decoration: none;
        color: var(--brown-dark);
        letter-spacing: 1.2px;

        &:hover {
            color: var(--orange);
        }

        &:active {
            color: var(--coral);
        }
    }

}

.logo {
    width: 200px;
    height: 32px;
}


.btn {
    display: inline-block;
    height: 46px;
    padding: 12px 12px;
    border-radius: 4px;
    border: none;
    color: #FFF;
    background: var(--orange);
    font-size: 1.125rem;
    font-weight: 500;
    font-family: inherit;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    min-width: 180px;

    &:hover {
        background-color: var(--coral);
    }

    &:active {
        background-color: var(--coral-secondary);
    }
}

.btn-outline {
    border-color: #fff;
    background-color: #fff;
    border: 1px solid var(--brown-dark);
    color: var(--brown-dark);

    &:hover {
        background-color: #fff;
        border-color: var(--coral);
        color: var(--coral);
    }

    &:active {
        background-color: #fff;
        border-color: var(--coral-secondary);
        color: var(--coral-secondary);
    }

}

.content {
    height: 495px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 65px;
    margin-bottom: 90px;

}

.section_text {
    height: 301px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    font-size: 18px;
    line-height: 28px;

    h1 {
        color: var(--brown-dark);
        font-size: 2.75rem;
        line-height: 54px;
        margin-bottom: 21px;
    }
}

.btn_big {
    height: 50px;
    width: 180px;
}

/**TOOLS**/
.tools {
    background-image: url('./../image/Bg.png');
    background-position: left 50% bottom 7px;
    background-repeat: no-repeat;
    padding-bottom: 90px;
    background-size: 100% auto;

    h2 {
        text-align: center;
        margin: 0 auto;
        max-width: 540px;
        margin-bottom: 50px;
        font-size: 2.25rem;
        color: var(--brown-dark);
        font-weight: 700;
        line-height: 1.2;
    }

    .btn-wrap {
        text-align: center;
    }
}

.tools-list {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 0 15px;
    margin-bottom: 60px;
    gap: 40px;

    h3 {
        font-size: 1.375rem;
        color: var(--brown-dark);
        font-weight: 600;
        margin-bottom: 18px;
    }

    li {
        max-width: 270px;
        padding-right: 5px;
    }
}

.tools-icon {
    width: 50px;
    height: 50px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    margin-bottom: 30px;

    &.violet {
        background-color: #7752BE;
    }

    &.orange {
        background-color: #FAB005;
    }

    &.coral {
        background-color: var(--coral);
    }

    &.blue {
        background-color: #4DADF7;
    }
}

footer {
    color: var(--brown-dark);

    .container {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        height: 418px;
        gap: 140px;
    }

    h4 {
        margin: 0 auto;
        max-width: 340px;
        font-weight: 700;
        line-height: 1.5;
        font-size: 1.25rem;
        margin-bottom: 30px;
    }

    a {
        text-decoration: none;
        color: var(--brown-dark);

        &:hover {
            color: var(--orange);
        }

        &:active {
            color: var(--coral);
        }
    }

    ul {
        height: 148px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        font-size: 1.125rem;
    }

    .form_tel {
        height: 207px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        gap: 25px;

        h4 {
            margin-bottom: 0;
            padding-right: 30px;
        }

        .tel {
            width: 340px;
            height: 50px;
            border-radius: 4px;
            border: 1px solid #BCD0E5;
            padding: 10px 0 10px 10px;
            font-size: 1.125rem;
            letter-spacing: 1.1px;
        }
    }


}